public class Fortbewegungsmittel
{
	private String name;
	private String marke;
	
	Fortbewegungsmittel(String pName, String pMarke)
	{
		name = pName;
		marke = pMarke;
	}
	
	void setName(String pName)
	{
		name = pName;
	}
	
	void setMarke(String pMarke)
	{
		marke = pMarke;
	}
	
	String getName()
	{
		return name;
	}
	
	String getMarke()
	{
		return marke;
	}
	public String toString()
	{
		return this.getClass().getName() + '%'+
				" Name: "+this.name+
				", Marke: "+this.marke;
	}
	public boolean equals(Object obj)
	{
		/*
			Definition der Gleichheit:
			Zwei Fortbewegungsmittel sind gleich, wenn
			die Inhalte der Instanzvariablen <name> und <marke>
			identisch sind!
		*/
		Fortbewegungsmittel einFB=this;
		Fortbewegungsmittel nocheinFB=null;
		if(obj instanceof Fortbewegungsmittel)
			nocheinFB=(Fortbewegungsmittel)obj;//expl. Cast
		else
			return false;
		if(einFB.name.equals(nocheinFB.name)&&
					einFB.marke.equals(nocheinFB.marke))
			return true;
		else
			return false;
	}
}